package body MSHTML.IHTMLScreen2_Object is

   function Get_logicalXDPI
     (This : IHTMLScreen2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLScreen2_Get_logicalXDPI);
   end Get_logicalXDPI;

   function Get_logicalYDPI
     (This : IHTMLScreen2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLScreen2_Get_logicalYDPI);
   end Get_logicalYDPI;

   function Get_deviceXDPI
     (This : IHTMLScreen2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLScreen2_Get_deviceXDPI);
   end Get_deviceXDPI;

   function Get_deviceYDPI
     (This : IHTMLScreen2_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLScreen2_Get_deviceYDPI);
   end Get_deviceYDPI;

end MSHTML.IHTMLScreen2_Object;

